Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartWizardContext<C extends org.eclipse.birt.chart.model.IChartObject>

All Superinterfaces:
  `org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext`

public interface IChartWizardContext<C extends org.eclipse.birt.chart.model.IChartObject> extends org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext
Chart's extension of IWizardContext

## Method Summary

Modifier and Type
Method
Description
`IDataServiceProvider`
`getDataServiceProvider()`
`IChartDataSheet`
`getDataSheet()`
`Object`
`getExtendedItem()`
`C`
`getModel()`
Returns the model on which wizard context is used.
`org.eclipse.birt.chart.style.IStyleProcessor`
`getProcessor()`
`IUIServiceProvider`
`getUIServiceProvider()`
`boolean`
`isEnabled(String id)`
Returns if the UI is enabled or not.The UI, including task, subtask or toggle button, is identified by the exclusive id.
`void`
`setExtendedItem(Object extendedItem)`
`void`
`setProcessor(org.eclipse.birt.chart.style.IStyleProcessor processor)`
set the StyleProcessor

### Methods inherited from interface org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.IWizardContext

`getWizardID`

## Method Details

### getUIServiceProvider

IUIServiceProvider getUIServiceProvider()

Returns:
  the UIServiceProvider in context.

### getDataServiceProvider

IDataServiceProvider getDataServiceProvider()

Returns:
  the DataServiceProvider in context.

### getDataSheet

IChartDataSheet getDataSheet()

Returns:
  DataSheet

### getProcessor

org.eclipse.birt.chart.style.IStyleProcessor getProcessor()

Returns:
  the StyleProcessor

### setProcessor

void setProcessor(org.eclipse.birt.chart.style.IStyleProcessor processor)
set the StyleProcessor

### getExtendedItem

Object getExtendedItem()

Returns:
  ExtendedItem

### setExtendedItem

void setExtendedItem(Object extendedItem)

Parameters:
  `extendedItem` -

### getModel

C getModel()
Returns the model on which wizard context is used.

### isEnabled

boolean isEnabled(String id)
Returns if the UI is enabled or not.The UI, including task, subtask or toggle button, is identified by the exclusive id.

Parameters:
  `id` - the exclusive id to identify the UI
Returns:
  the UI enabled state
Since:
  2.3